וורדפרס מפותחת בקוד פתוח בשפת PHP על בסיס מסד נתונים MySQL. מומלץ להשתמש בשרתי Apache או Nginx אולם ניתן להשתמש בכל קונפיגורציה אחרת אשר תומכת ב-PHP ו-MySQL.

דרישות מינימום

דרישות המינימום להפעלת וורדפרס הן:

  • PHP בגרסה 5.2.4 ומעלה
  • MySQL בגרסה 5.0 ומעלה

דרישות מומלצות

הדרישות המומלצות להפעלת וורדפרס הן:

  • PHP בגרסה 5.6 ומעלה
  • MySQL בגרסה 5.5 ומעלה
  • מודול mod_rewrite של Apache